-- Originally based on the table at http://www.goodintentionsguild.info/hunters.html

FHH_LearnableBy = {
--	All beast families: { "Bat", "Bear", "Boar", "Carrion Bird", "Cat", "Crab", "Crocolisk", "Gorilla", "Hyena", "Owl", "Raptor", "Scorpid", "Spider", "Tallstrider", "Turtle", "Wind Serpent", "Wolf"},

	["growl"] = ALL_FAMILIES,
	["bite"] = { "Bat", "Bear", "Boar", "Carrion Bird", "Cat", "Crocolisk", "Gorilla", "Hyena", "Raptor", "Spider", "Tallstrider", "Turtle", "Wind Serpent", "Wolf" },
	["claw"] = {  "Bear", "Carrion Bird", "Cat", "Crab", "Owl", "Raptor", "Scorpid" },
	["dash"] = { "Boar", "Cat", "Hyena", "Tallstrider", "Wolf"},
	["dash"] = { "Bat", "Bear", "Carrion Bird", "Crab", "Crocolisk", "Gorilla", "Owl", "Raptor", "Scorpid", "Spider", "Turtle" },
	["dive"] = { "Bat", "Carrion Bird", "Owl", "Wind Serpent" },

	-- new in 1.7 (doesn't matter whether it's here or not in this table)
	["prowl"] = { "Cat" },
	["screech"] = { "Bat", "Carrion Bird", "Owl" },
	["scorpid poison"] = { "Scorpid" },
	["furious howl"] = { "Wolf" },
	["natural armor"] = ALL_FAMILIES,
	["great stamina"] = ALL_FAMILIES, 
	["resist"] = ALL_FAMILIES, 
};

FHH_SpellInfo = {
	["growl"] = PET_TRAINER, -- ranks 1-2 are innate; this is special-cased in HuntersHelper.lua
	["bite"] = {
		[1] = {
			["Dun Morogh"] = {
				"Snow Tracker Wolf",
				"Winter Wolf",
			},
			["Elwynn Forest"] = {
				"Forest Spider",
			},
			["Durotar"] = {
				"Dreadmaw Crocolisk",
			},
			["Mulgore"] = {
				"Prairie Wolf",
			},
			["Teldrassil"] = {
				"Githyiss the Vile",
				"Webwood Venomfang",
			},
			["Tirisfal Glades"] = {
				"Vicious Night Web Spider",
				"Sri'skulk",
			},
		},
		[2] = {
			["Barrens"] = {
				"Oasis Snapjaw",
			},
			["Dun Morogh"] = {
				"Starving Winter Wolf",
				"Timber",
			},
			["Elwynn Forest"] = {
				"Mother Fang",
				"Prowler",
			},
			["Loch Modan"] = {
				"Forest Lurker",
				"Loch Crocolisk",
			},
			["Mulgore"] = {
				"Prairie Wolf Alpha",
			},
			["Redridge Mountains"] = {
				"Tarantula",
			},
			["Teldrassil"] = {
				"Giant Webwood Spider",
				"Lady Sathrah",
				"Webwood Silkspinner",
			},
			["Silverpine Forest"] = {
				"Worg",
			},
			["Westfall"] = {
				"Coyote Packleader",
			},
		},
		[3] = {
			["Ashenvale"] = {
				"Ghostpaw Runner",
			},
			["Duskwood"] = {
				"Green Recluse",
				"Lupos",
			},
			["Loch Modan"] = {
				"Wood Lurker",
			},
			["Hillsbrad Foothills"] = {
				"Forest Moss Creeper",
			},
			["Redridge Mountains"] = {
				"Greater Tarantula",
			},
			["Silverpine Forest"] = {
				"Bloodsnout Worg",
			},
			["Stonetalon Mountains"] = {
				"Besseleth",
				"Deepmoss Creeper",
				"Deepmoss Webspinner",
			},
			["Wailing Caverns"] = {
				"Deviate Crocolisk",
			},
		},
		[4] = {
			["Ashenvale"] = {
				"Ghostpaw Alpha",
				"Wildthorn Lurker",
			},
			["Blackfathom Deep"] = {
				"Ghamoo-Ra",
			},
			["Duskwood"] = {
				"Black Ravager Mastiff",
				"Black Ravager",
				"Naraxis",
			},
			["Hillsbrad Foothills"] = {
				"Giant Moss Creeper",
			},
			["Wetlands"] = {
				"Giant Wetlands Crocolisk",
			},
		},
		[5] = {
			["Arathi Highlands"] = {
				"Plains Creeper",
				"Giant Plains Creeper",
			},
			["Dustwallow Marsh"] = {
				"Darkfang Lurker",
				"Drywallow Crocolisk",
				"Mudrock Tortoise",
			},
			["Thousand Needles"] = {
				"Sparkleshell Snapper",
			},
			["Badlands"] = {
				"Crag Coyote",
			},
		},
		[6] = {
			["Dustwallow Marsh"] = {
				"Deadmire",
				"Mudrock Snapjaw",
			},
			["Felwood"] = {
				"Felpaw Wolf",
			},
			["Feralas"] = {
				"Snarler",
				"Undead Wolf",
				"Longtooth Runner",
			},
			["Searing Gorge"] = {
				"Rekk'tilac",
			},
			["Swamp of Sorrows"] = {
				"Deathstrike Tarantula",
				"Sawtooth Snapper",
			},
			["Hinterlands"] = {
				"Witherbark Broodguard",
				"Old Cliff Jumper",
			},
		},
		[7] = {
			["Felwood"] = {
				"Felpaw Ravager",
			},
			["Hinterlands"] = {
				"Saltwater Snapjaw",
				"Vilebranch Raiding Wolf",
			},
			["Stormwind City"] = {
				"Sewer Beast",
			},
			["Tanaris"] = {
				"Giant Surf Glider",
			},
			["Western Plaguelands"] = {
				"Diseased Wolf",
				"Plague Lurker",
			},
		},
		[8] = {
			["Blackrock Spire"] = {
				"Bloodaxe Worg",
			},
		},
	},
	["claw"] = {
		[1] = {
			["Dun Morogh"] = {
				"Ice Claw Bear",
			},
			["Durotar"] = {
				"Pygmy Surf Crawler",
				"Scorpid Worker",
			},
			["Teldrassil"] = {
				"Strigid Owl",
			},
		},
		[2] = {
			["Darkshore"] = {
				"Thistle Bear",
			},
			["Dun Morogh"] = {
				"Bjarn",
				"Mangeclaw",
			},
			["Durotar"] = {
				"Death Flayer",
				"Encrusted Surf Crawler",
				"Venomtail Scorpid",
			},
			["Elwynn Forest"] = {
				"Young Forest Bear",
			},
			["Teldrassil"] = {
				"Strigid Hunter",
			},
		},
		[3] = {
			["Ashenvale"] = {
				"Ashenvale Bear",
				"Clattering Crawler",
			},
			["Darkshore"] = {
				"Den Mother",
			},
			["Hillsbrad Foothills"] = {
				"Gray Bear",
			},
			["Loch Modan"] = {
				"Black Bear Patriarch",
				"Ol' Sooty",
			},
		},
		[4] = {
			["Ashenvale"] = {
				"Elder Ashenvale Bear",
			},
			["Desolace"] = {
				"Scorpashi Snapper",
			},
			["Thousand Needles"] = {
				"Scorpid Reaver",
			},
		},
		[5] = {
			["Desolace"] = {
				"Scorpashi Lasher",
			},
			["Dustwallow Marsh"] = {
				"Drywallow Snapper",
			},
		},
		[6] = {
			["Feralas"] = {
				"Ironfur Bear",
			},
			["Swamp of Sorrows"] = {
				"Silt Crawler",
			},
			["Tanaris"] = {
				"Scorpid Hunter",
			},
		},
		[7] = {
			["Burning Steppes"] = {
				"Deathlash Scorpid",
			},
			["Felwood"] = {
				"Angerclaw Mauler",
				"Ironbeak Hunter",
			},
			["Feralas"] = {
				"Ironfur Patriarch",
			},
			["Winterspring"] = {
				"Shardtooth Bear",
				"Winterspring Owl",
			},
		},
		[8] = {
			["Western Plaguelands"] = {
				"Diseased Grizzly",
			},
			["Winterspring"] = {
				"Elder Shardtooth",
				"Winterspring Screecher",
			},
		},
	},
	["cower"] = {
		[1] = {
			["Barrens"] = {
				"Elder Plainstrider",
				"Fleeting Plainstrider",
			},
			["Darkshore"] = {
				"Foreststrider Fledgling",
				"Moonstalker Runt",
			},
			["Dun Morogh"] = {
				"Juvenile Snow Leopard",
			},
			["Durotar"] = {
				"Durotar Tiger",
			},
			["Mulgore"] = {
				"Flatland Cougar",
				"Mazzranache",
			},
			["Teldrassil"] = {
				"Mangy Nightsaber",
				"Nightsaber",
			},
			["Tirisfal Glades"] = {
				"Greater Duskbat",
			},
		},
		[2] = {
			["Barrens"] = {
				"Ornery Plainstrider",
				"Savannah Patriarch",
			},
			["Darkshore"] = {
				"Giant Foreststrider",
				"Moonstalker Sire",
			},
			["Hillsbrad Foothills"] = {
				"Starving Mountain Lion",
			},
			["Stonetalon Mountains"] = {
				"Twilight Runner",
			},
		},
		[3] = {
			["Hillsbrad Foothills"] = {
				"Feral Mountain Lion",
			},
			["Razorfen Kraul"] = {
				"Blind Hunter",
				"Kraul Bat",
			},
			["Stranglethorn Vale"] = {
				"Young Stranglethorn Tiger",
				"Young Stranglethorn Panther",
				"Panther",
				"Stranglethorn Tiger",
			},
			["Thousand Needles"] = {
				"Crag Stalker",
			},
		},
		[4] = {
			["Badlands"] = {
				"Ridge Huntress",
				"Ridge Stalker",
			},
		},
		[5] = {
			["Eastern Plaguelands"] = {
				"Noxious Plaguebat",
				"Plaguebat",
			},
			["Stranglethorn Vale"] = {
				"Jaguero Stalker",
			},
		},
		[6] = {
			["Eastern Plaguelands"] = {
				"Monstrous Plaguebat",
			},
			["Winterspring"] = {
				"Frostsaber Cub",
			},
		},
	},
	["dash"] = {
		[1] = {
			["Badlands"] = {
				"Crag Coyote",
				"Elder Crag Coyote",
			},
			["Desolace"] = {
				"Magram Bonepaw",
			},
			["Swamp of Sorrows"] = {
				"Swamp Jaguar",
			},
			["Stranglethorn Vale"] = {
				"Stranglethorn Tiger",
			},
		},
		[2] = {
			["Badlands"] = {
				"Broken Tooth",
				"Ridge Stalker Patriarch",
			},
			["Blasted Lands"] = {
				"Ashmane Boar",
			},
			["Hinterlands"] = {
				"Silvermane Stalker",
				"Old Cliff Jumper",
			},
			["Stranglethorn Vale"] = {
				"Bhag'Thera",
				"Elder Shadowmaw Panther",
			},
			["Tanaris"] = {
				"Blisterpaw Hyena",
				"Starving Blisterpaw",
			},
			["Feralas"] = {
				"Longtooth Runner",
			},
		},
		[3] = {
			["Blackrock Spire"] = {
				"Bloodaxe Worg",
				"Blackrock Worg",
			},
			["Blasted Lands"] = {
				"Grunter",
				"Hyena Ravage",
			},
			["Winterspring"] = {
				"Frostsaber Huntress",
				"Frostsaber Stalker",
				"Rak'shiri",
			},
			["Hinterlands"] = {
				"Vilebranch Raiding Wolf",
			},
		},
	},
	["dive"] = {
		[1] = {
			["Arathi Highlands"] = {
				"Mesa Buzzard",
				"Young Mesa Buzzard",
			},
			["Desolace"] = {
				"Dread Flyer",
			},
			["Razorfen Kraul"] = {
				"Kraul Bat",
			},
		},
		[2] = {
			["Felwood"] = {
				"Ironbeak Owl",
			},
			["Feralas"] = {
				"Rogue Vale Screecher",
				"Wind Serpent",
			},
			["Tanaris"] = {
				"Roc",
			},
		},
		[3] = {
			["Badlands"] = {
				"Zaricotl",
			},
			["Blasted Lands"] = {
				"Spiteflayer",
			},
			["Felwood"] = {
				"Ironbeak Hunter",
				"Ironbeak Screecher",
			},
			["Winterspring"] = {
				"Winterspring Screecher",
				"Winterspring Owl",
			},
			["Eastern Plaguelands"] = {
				"Plaguebat",
			},
		},
	},
};

function FHH_Load1700Spells() 
	
	FHH_SpellInfo["great stamina"] = PET_TRAINER;
	FHH_SpellInfo["natural armor"] = PET_TRAINER; 
	FHH_SpellInfo["resist"] = PET_TRAINER;
	FHH_SpellInfo["prowl"] = {
		[1] = {
			["Alterac Mountains"] = {
				"Mountain Lion",
			},
		},
		[2] = {
			["Stranglethorn Vale"] = {
				"Elder Shadowmaw Panther",
			},
		},
		[3] = {
			["Winterspring"] = {
				"Frostsaber Stalker",
			},
			["Stranglethorn Vale"] = {
				"Jaguero Stalker",
			},
		},
	};
	FHH_SpellInfo["screech"] = {
		[1] = {
			["Westfall"] = {
				"Greater Fleshripper",
			},
		},
		[2] = {
			["Desolace"] = {
				"Dread Ripper",
			},
			["Thousand Needles"] = {
				"Salt Flats Vulture",
			},
		},
		[3] = {
			["Felwood"] = {
				"Ironbeak Owl",
			},
			["Western Plaguelands"] = {
				"Carrion Vulture",
			},
		},
		[4] = {
			["Winterspring"] = {
				"Winterspring Screecher",
			},
			["Western Plaguelands"] = {
				"Monstrous Plaguebat",
			},
		},
	};
	FHH_SpellInfo["scorpid poison"] = {
		[1] = {
			["Barrens"] = {
				"Silithid Creeper",
			},
			["Durotar"] = {
				"Corrupted Scorpid",
				"Venomtail Scorpid",
				"Death Flayer",
			},
		},
		[2] = {
			["Desolace"] = {
				"Scorpashi Snapper",
			},
		},
		[3] = {
			["Silithus"] = {
				"Stonelash Scorpid",
			},
			["Tanaris"] = {
				"Scorpid Hunter",
			},
			["Burning Steppes"] = {
				"Deathlash Scorpid",
			},
		},
		[4] = {
			["Silithus"] = {
				"Stonelash Pincer",
				"Stonelash Flayer",
			},
			["Burning Steppes"] = {
				"Firetail Scorpid",
			},
		},
	};
	FHH_SpellInfo["furious howl"] = {
		[1] = {
			["Westfall"] = {
				"Coyote Packleader",
			},
			["Mulgore"] = {
				"Prairie Wolf Alpha",
			},
			["Silverpine Forest"] = {
				"Worg",
			},
		},
		[2] = {
			["Ashenvale"] = {
				"Ghostpaw Alpha",
			},
			["Duskwood"] = {
				"Black Ravager Mastiff",
			},
			["Badlands"] = {
				"Elder Crag Coyote",
			},
			["Feralas"] = {
				"Longtooth Howler",
			},
			["Hinterlands"] = {
				"Silvermane Howler",
			},
		},
		[3] = {
			["Felwood"] = {
				"Felpaw Wolf",
			},
			["Feralas"] = {
				"Longtooth Runner",
			},
			["Hinterlands"] = {
				"Silvermane Wolf",
			},
		},
		[3] = {
			["Blackrock Spire"] = {
				"Bloodaxe Worg",
			},
		},
	};

end
